%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		pdfgrid
Version:        0.2.0
Release:        1
Summary:        Add a grid on top of all pages of a PDF document.
Group:          Applications/System
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{name}
Source0:        http://www.dinu-gherman.net/tmp/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2
BuildRequires:  python-setuptools >= 0.6.14-1

Requires:       pyPdf >= 1.13-1
Requires:       python >= 2.6.2
Requires:       python-reportlab >= 2.5-1

%description
Pdfgrid is a Python command-line tool and module for adding a regular grid on
top of all pages of an existing PDF document.  It will mostly be used for
measuring individual parts of PDF pages like graphics or paragraph widths.
For the time being, only a rectangular grid with major and minor lines is
supported, and their colour and line widths can be set individually.

NOTE: This is an initial release.  The API is likely to change and for the time
being the grid size is limited to A4, but this will change in future releases.


%prep
%setup -q


%build
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc PKG-INFO README.html README.txt
%{_bindir}/*
%{python_sitelib}/%{name}*
/usr/bin/*


%changelog
* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.2.0-1
- first version for AIX V5.1 and higher
